@echo off
echo Transfer function of boost stages for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Channel A1 should be teed to both Source Out and IN1.
echo Channel A2 should be connected to OUT1.
echo Ground D5 (-32dB on IN1) for all boost gain TFs.
echo Initial setup: switches D15, D16, D17, and D29 should be off (high).
echo D28 should be on (low).
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%BoostGainBaselineTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 150mV -t 2 --savecal True
echo Switch on D17 (comp).
pause
set FILENAME=%SERIAL%BoostGainCompTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 25mV -t 2 --usecal True
echo Switch off D17 and switch on D15.
pause
set FILENAME=%SERIAL%BoostGain1TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 5mV -t 2 --usecal True --savecal True
echo Switch off D15 and switch on D16.
pause
set FILENAME=%SERIAL%BoostGain2TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 5mV -t 2 --usecal True --savecal True
echo Switch on both D15 and D16. 
pause
set FILENAME=%SERIAL%BoostGain3TF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 2mV -t 2 --usecal True
echo Switch off both D15 and D16.
pause
set FILENAME=%SERIAL%BoostSlowGainBaselineTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 150mV -t 2 --savecal True
echo Switch off D28.
pause
set FILENAME=%SERIAL%BoostSlowCompTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 15mV -t 2 --usecal True
echo Switch on D28 and D29.
pause
set FILENAME=%SERIAL%BoostSlowBoostTF%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
TFSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -s 100000 -e 1 -n 201 --sweep Log -x 50mV -t 2 --usecal True
echo Boost gain transfer functions complete.
pause