@echo off
echo Distortion Measurement for D040180 as part of test procedure E1100429.
echo %date% %time%
echo Running noise measurement FFTs for D040180 Common Mode Board rev E.
echo Source out should be connected to IN1.
echo Channel A1 should be connected to SERVO.
set /p SERIAL="Serial number of D040180E board (No :'s, please):"
set FILENAME=%SERIAL%IN1Distortion%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
FFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -b 10kHz -n 800 -v 100 -x True --excFreq 992Hz --excAmp 1V
GetDistortionHarmonics.py -i %GPIB_IP_ADDRESS%
echo Connect A1 to IN2 and switch D12 and D13 down (low).
set FILENAME=%SERIAL%IN2Distortion%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
FFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -b 10kHz -n 800 -v 100 -x True --excFreq 992Hz --excAmp 1V
GetDistortionHarmonics.py -i %GPIB_IP_ADDRESS%
echo --- Distortion Measurement Complete ---
pause